Summary: A Better CD Encoder
Name: abcde
Version: 2.3.2
Release: 1%{?dist}
License: GPL or Artistic
Group: Applications/Multimedia
Source: http://ftp.debian.org/debian/pool/main/a/abcde/%{name}_%{version}.orig.tar.gz
Patch1: abcde-2.1.19-inst.patch
URL: http://www.hispalinux.es/~data/abcde.php
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: cd-discid vorbis-tools flac cdparanoia wget speex

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to ogg or mp3 format, and tags them,
all in one go.

%prep
%setup -q
%patch1 -p1 -b .inst
sed -i 's/normalize-audio/normalize/g' abcde*
iconv -f iso-8859-1 -t utf-8 abcde.1 > abcde.1.utf8 ; mv abcde.1.utf8 abcde.1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall etcdir=$RPM_BUILD_ROOT%{_sysconfdir} mandir=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root, -)
%doc changelog COPYING README TODO FAQ examples
%config(noreplace) %{_sysconfdir}/abcde.conf
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Aug 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.3.2-1
- 2.3.2, vi and genre patches applied upstream.
- Convert man page to UTF-8.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.2.3-2
- rebuilt

* Thu Feb 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.2.3-1
- Update to 2.2.3.

* Mon Jan 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.2.0-2
- Add vorbis-tools, flac, cdparanoia, wget, and speex dependencies.
- Weed out some Debianisms from default external tool names.
- Include more docs.

* Fri Jan 14 2005 Nils Philippsen <nphilipp@redhat.com>
- version 2.2.0

* Wed Apr 14 2004 Nils Philippsen <nphilipp@redhat.com>
- version 2.1.19

* Tue May 21 2002 Nils Philippsen <nphilipp@redhat.com>
- version 2.0.3
- update rh, genre patches

* Wed Apr 25 2001 Nils Philippsen <nphilipp@redhat.com>
- version 1.9.9
- configuration now uses freedb.org per default, no need to patch
- various artist media can have a different output file name (than single
  artist ones)
- fix newlines with CR in parsing cddb genre

* Tue Jan 09 2001 Nils Philippsen <nphilipp@redhat.com>
- version 1.9.7
- initial build

